{ config, lib, pkgs, ... }:
with pkgs;
let
  nextcloudSync = folder:
    let
      password = "$( ${pkgs.pass}/bin/pass show home/nextcloud/palo/nextcloudcmd-token )";
      user = "palo";
    in
    pkgs.writers.writeBashBin "nextcloud-sync-${folder}" ''
      ${pkgs.nextcloud-client}/bin/nextcloudcmd \
        --path "${folder}" \
        ~/Nextcloud/${folder} \
        "https://${user}:${password}@nextcloud.ingolf-wagner.de"
    '';
in
{
  home.packages = [

    (nextcloudSync "InstantUpload")
    (nextcloudSync "Pictures")
    (nextcloudSync "Unterlagen")
    (nextcloudSync "Nähen")
    (nextcloudSync "NähenTina")
    (nextcloudSync "Video")
    (nextcloudSync "Kunstbuch")
    (nextcloudSync "AWS-SolutionArchitect-Professional")

    (pkgs.writeShellScriptBin "nixFlakes" ''
      exec ${pkgs.nixUnstable}/bin/nix --experimental-features "nix-command flakes" "$@"
    '')

    nextcloud-client

  ];

}
